#### Previous topic

scipy.fftpack.fftshift

#### Next topic

scipy.fftpack.fftfreq

# scipy.fftpack.ifftshift

`scipy.fftpack.``ifftshift`(x, axes=None)

  The inverse of `fftshift`. Although identical for even-length x, the functions differ by one sample for odd-length x.

  Parameters:

  x : array_like

  > Input array.

  axes : int or shape tuple, optional

  > Axes over which to calculate. Defaults to None, which shifts all axes.

  Returns:

  y : ndarray

  > The shifted array.

  See also

  `fftshift`
    Shift zero-frequency component to the center of the spectrum.

  Examples

      >>> freqs = np.fft.fftfreq(9, d=1./9).reshape(3, 3)
      >>> freqs
      array([[ 0.,  1.,  2.],
             [ 3.,  4., -4.],
             [-3., -2., -1.]])
      >>> np.fft.ifftshift(np.fft.fftshift(freqs))
      array([[ 0.,  1.,  2.],
             [ 3.,  4., -4.],
             [-3., -2., -1.]])